# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   Software_Testing
# FileName:      conftest.py
# Author:       Rikka
# Datetime:     2024/7/13 10:59
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import pytest

from APIAutoTest_v3_1_multi_user.common.db import DB
from APIAutoTest_v3_1_multi_user.request_method.request_method import RequestMethod


@pytest.fixture(scope="session")
def req_fix():
    req = RequestMethod()
    yield req


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db
    db.close()
